Bug 505139 - setroubleshoot-server missing dependency for policycoreutils-python
setroubleshoot-server missing dependency for policycoreutils-python
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
11
i686 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 517000
  Show dependency treegraph
 
Reported: 2009-06-10 15:23 EDT by Sven-Olof Klasson
Modified: 2010-01-22 09:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:09:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sven-Olof Klasson 2009-06-10 15:23:37 EDT
Description of problem:
After installing a minimum set of packages for Fedora 11 including libselinux-python (bz 505059) there are errors in /var/log/setroubleshoot/setroubleshootd.log 

Version-Release number of selected component (if applicable):
setroubleshoot-server-2.1.8-1.fc11.i586

How reproducible:
Always when SElinux denies access

Steps to Reproduce:
1. Make SElinux deny access
  
Actual results:
# cat /var/log/setroubleshoot/setroubleshootd.log 
2009-06-10 20:54:07,403 [plugin.ERROR] failed to load catchall_boolean plugin
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/setroubleshoot/util.py", line 428, in load_plugins
    mod = imp.load_module(module_name, mod_fp, mod_path, mod_description)
  File "/usr/share/setroubleshoot/plugins/catchall_boolean.py", line 28, in <module>
    import seobject
ImportError: No module named seobject


Expected results:
No errors in setroubleshootd.log

Additional info:
Seems that setroubleshoot-server RPM-package should have an dependency to policycoreutils-python. Installing policycoreutils-python fixes the problem.
Comment 1 Daniel Walsh 2009-06-10 16:19:52 EDT
Fixed in setroubleshoot-2.1.13-2.fc11

Note You need to log in before you can comment on or make changes to this bug.